Bug 830155 - Review Request: unlambda - An interpreter of the Unlambda language
Review Request: unlambda - An interpreter of the Unlambda language
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 08:03 EDT by Shakthi Kannan
Modified: 2012-07-26 00:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-25 23:59:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Shakthi Kannan 2012-06-08 08:03:29 EDT
Spec URL: http://shakthimaan.fedorapeople.org/SPECS/unlambda.spec
SRPM URL: http://shakthimaan.fedorapeople.org/SRPMS/unlambda-0.1-1.fc16.src.rpm
Description: An interpreter of the Unlambda language
Fedora Account System Username: shakthimaan
Comment 1 Shakthi Kannan 2012-06-08 08:04:58 EDT
$  rpmlint unlambda.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$  rpmlint unlambda-0.1-1.fc16.src.rpm 
unlambda.src: W: name-repeated-in-summary C Unlambda
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$  rpmlint unlambda-0.1-1.fc16.x86_64.rpm 
unlambda.x86_64: W: name-repeated-in-summary C Unlambda
unlambda.x86_64: E: incorrect-fsf-address /usr/share/doc/unlambda-0.1/LICENSE
unlambda.x86_64: W: no-manual-page-for-binary unlambda
1 packages and 0 specfiles checked; 1 errors, 2 warnings.

Successful Koji builds for F16, F17 and F18 respectively:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4140304
http://koji.fedoraproject.org/koji/taskinfo?taskID=4140305
http://koji.fedoraproject.org/koji/taskinfo?taskID=4140308
Comment 2 Shakthi Kannan 2012-06-19 06:51:54 EDT
Added patch to fix FSF address rpmlint error message.

SPEC: http://shakthimaan.fedorapeople.org/SPECS/unlambda.spec
SRPM: http://shakthimaan.fedorapeople.org/SRPMS/unlambda-0.1-2.fc16.src.rpm

$  rpmlint unlambda.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$  rpmlint unlambda-0.1-2.fc16.src.rpm 
unlambda.src: W: name-repeated-in-summary C Unlambda
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$  rpmlint unlambda-0.1-2.fc16.x86_64.rpm 
unlambda.x86_64: W: name-repeated-in-summary C Unlambda
unlambda.x86_64: W: no-manual-page-for-binary unlambda
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Successful Koji builds for F16, F17 and F18 respectively:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4176356
http://koji.fedoraproject.org/koji/taskinfo?taskID=4176353
http://koji.fedoraproject.org/koji/taskinfo?taskID=4176354
Comment 3 Narasimhan 2012-06-20 22:15:16 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint  -i ghc-unlambda-0.1-2.fc15.x86_64.rpm ghc-unlambda-devel-0.1-2.fc15.x86_64.rpm unlambda-0.1-2.fc15.src.rpm unlambda-0.1-2.fc15.x86_64.rpm ../unlambda.spec 
unlambda.src: W: name-repeated-in-summary C Unlambda
The name of the package is repeated in its summary.  This is often redundant
information and looks silly in various programs' output.  Make the summary
brief and to the point without including redundant information in it.

unlambda.x86_64: W: name-repeated-in-summary C Unlambda
The name of the package is repeated in its summary.  This is often redundant
information and looks silly in various programs' output.  Make the summary
brief and to the point without including redundant information in it.

unlambda.x86_64: W: no-manual-page-for-binary unlambda
Each executable in standard binary directories should have a man page.

4 packages and 1 specfiles checked; 0 errors, 3 warnings.
[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
GPLv2.
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.
 md5sum unlambda-0.1.tar.gz 
2d31c90b3888043b8de77bb87f88bfcb  unlambda-0.1.tar.gz

 md5sum unlambda-0.1-2.fc16.src/unlambda-0.1.tar.gz 
2d31c90b3888043b8de77bb87f88bfcb  unlambda-0.1-2.fc16.src/unlambda-0.1.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
 rpm -e ghc-unlambda
error: Failed dependencies:
        ghc(unlambda-0.1) = 517c83933e1752a68650a35017b99198 is needed by (installed) ghc-unlambda-devel-0.1-2.fc15.x86_64
        ghc-unlambda = 0.1-2.fc15 is needed by (installed) ghc-unlambda-devel-0.1-2.fc15.x86_64

[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Loaded Language.Unlambda into ghci. Loads fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED.
Comment 4 Shakthi Kannan 2012-06-21 00:37:26 EDT
Thanks for the review.

New Package SCM Request
=======================
Package Name: unlambda
Short Description: An interpreter of the Unlambda language
Owners: shakthimaan
Branches: f16 f17
InitialCC: haskell-sig
Comment 5 Gwyn Ciesla 2012-06-21 08:46:41 EDT
Git done (by process-git-requests).
Comment 6 Jens Petersen 2012-07-09 06:06:12 EDT
Built in koji 
http://koji.fedoraproject.org/koji/packageinfo?packageID=14155
but not yet in bodhi..
Comment 7 Fedora Update System 2012-07-16 02:40:18 EDT
unlambda-0.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/unlambda-0.1-2.fc16
Comment 8 Fedora Update System 2012-07-16 02:40:28 EDT
unlambda-0.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/unlambda-0.1-2.fc17
Comment 9 Fedora Update System 2012-07-17 13:23:02 EDT
unlambda-0.1-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-07-25 23:59:51 EDT
unlambda-0.1-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 11 Fedora Update System 2012-07-26 00:01:00 EDT
unlambda-0.1-2.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.